---
title: Update the AI Security for Apps status for a zone.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[AI Security](https://developers.cloudflare.com/api/typescript/resources/ai_security)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update the AI Security for Apps status for a zone.

client.aiSecurity.update(AISecurityUpdateParams {zone\_id, enabled } params, RequestOptionsoptions?): [AISecurityUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/ai_security#(resource)%20ai_security%20%3E%20(model)%20ai_security_update_response%20%3E%20(schema)>) {enabled }

PUT/zones/{zone\_id}/ai-security/settings

Update the AI Security for Apps status for the zone, enabling or disabling the detection. The detection results are exposed as `cf.llm.prompt.*` fields for use in custom rules and rate limiting rules; changes can take up to a minute to propagate.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

<details>

<summary>

params: AISecurityUpdateParams {zone\_id, enabled }

</summary>

zone\_id: string

Path param: Defines the zone.

maxLength32

<a href="#(resource)%20ai_security%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

enabled?: boolean

Body param: Whether AI Security for Apps is enabled on the zone.

<a href="#(resource)%20ai_security%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai_security%20%3E%20(method)%20update%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

AISecurityUpdateResponse {enabled }

AI Security for Apps enablement status for a zone.

</summary>

enabled?: boolean

Whether AI Security for Apps is enabled on the zone.

<a href="#(resource)%20ai_security%20%3E%20(model)%20ai_security_update_response%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai_security%20%3E%20(model)%20ai_security_update_response%20%3E%20(schema)>)

### Update the AI Security for Apps status for a zone.

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const aiSecurity = await client.aiSecurity.update({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(aiSecurity.enabled);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "enabled": true
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "enabled": true
  },
  "success": true
}
```